## org.gnu.gtk
Class TreeIter

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gtk.TreeIter

public class TreeIter
extends Boxed

A tree iterator refers to a particular row of a `TreeView` object. They are used internally by many methods, but don't have any useful methods themselves.

Constructor Summary
`TreeIter(org.gnu.glib.Handle handle, TreeModel model)` construct iter from handle to native resources.

Method Summary
`TreeIter` `getChild(int index)` Returns an iterator for the child of the given parent at a position identified by index.
`int` `getChildCount()` Returns the number of children that `iter` has
`TreeIter` `getFirstChild()` Returns an iterator for the first child of the given iterator, or `null` if the iter has no children.
`boolean` `getHasChild()` Returns TRUE if iter has children, FALSE otherwise.
`TreeModel` `getModel()` Returns the TreeModel which this Iter is associated with
`TreeIter` `getNextIter()` Returns the next `iter` pointing to the node following the TreeIter provided at the same level.
`TreeIter` `getParent()` Return the parent iterator of the given child.
`TreePath` `getPath()` Returns a newly-created `TreePath` referenced by this iter.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`java.lang.String` `toString()` Generates a string representation of the iter.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeIter

    public TreeIter(org.gnu.glib.Handle handle,
                    TreeModel model)

  construct iter from handle to native resources.

Method Detail

### getModel

    public TreeModel getModel()

  Returns the TreeModel which this Iter is associated with

### getPath

    public TreePath getPath()

  Returns a newly-created `TreePath` referenced by this iter.

### getNextIter

    public TreeIter getNextIter()

  Returns the next `iter` pointing to the node following the TreeIter provided at the same level. If there is no next iter it will return null.

  Use this in combination with `TreeModel.getFirstIter()` to loop through all values in the model.

### getHasChild

    public boolean getHasChild()

  Returns TRUE if iter has children, FALSE otherwise.

### getFirstChild

    public TreeIter getFirstChild()

  Returns an iterator for the first child of the given iterator, or `null` if the iter has no children.

### getChild

    public TreeIter getChild(int index)

  Returns an iterator for the child of the given parent at a position identified by index.

### getParent

    public TreeIter getParent()

  Return the parent iterator of the given child.

### getChildCount

    public int getChildCount()

  Returns the number of children that `iter` has

### toString

    public java.lang.String toString()

  Generates a string representation of the iter. This string is a ':' separated list of numbers. For example, "4:10:0:3" would be an acceptable return value for this string.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.